modules:
  http_2xx:
    prober: http
    timeout: 5s
    tcp:
      preferred_ip_protocol: "ip4"
    http:
      tls_config:
        insecure_skip_verify: <%= @ssl_selfsigned %>
      fail_if_ssl: <%= !@ssl_enabled %>
      fail_if_not_ssl: <%= @ssl_enabled %>
      fail_if_matches_regexp:
        - "web_service_offline"
        - "web_service_error"
      fail_if_not_matches_regexp:
        - "web_service_online"
  http_post_2xx:
    prober: http
    timeout: 5s
    http:
      method: POST
  tcp_connect:
    prober: tcp
    timeout: 5s
<% @query_names.each do |qn| %>
  <%= qn %>:
    prober: dns
    dns:
      transport_protocol: "tcp"
      preferred_ip_protocol: "ip4"
      query_name: "<%= qn %>"
<% end %>
